package com.lightinit.hsdataplatform.dictionary;

import java.util.LinkedHashMap;

/**
 * @Author: sunxiang
 * @Date: 2018/6/8 15:59
 * @Description:
 **/
public class DicInformationResourceType {
    public static final String ELECFILE="电子文件";    //电子文件
    public static final String ELECTABLE="电子表格";    //电子表格
    public static final String DATABASE="数据库";    //数据库
    public static final String FIGUREIMAGE="图形图像";    //图形图像
    public static final String MEDIUM="流媒体";    //流媒体
    public static final String SELDESCRIPTTYPE="自描述格式";    //自描述格式

    private static DicInformationResourceType instance=null;
    private static LinkedHashMap<String,String> dicMap=null;
    private DicInformationResourceType(){
        dicMap = new LinkedHashMap<>();
        dicMap.put(ELECFILE,ELECFILE);
        dicMap.put(ELECTABLE,ELECTABLE);
        dicMap.put(DATABASE,DATABASE);
        dicMap.put(FIGUREIMAGE,FIGUREIMAGE);
        dicMap.put(MEDIUM,MEDIUM);
        dicMap.put(SELDESCRIPTTYPE,SELDESCRIPTTYPE);
    }
    public  static DicInformationResourceType getInstance(){
        if(instance==null){
            instance = new DicInformationResourceType();
        }
        return instance;
    }
    public LinkedHashMap<String,String> getDicMap(){
        return (LinkedHashMap<String,String>)dicMap.clone();
    }
}
